# Skip this module if NO_WX in env
import pytest
import os
if os.getenv('NO_WX'):
    pytest.skip('Skipping module because wxPython is not available', allow_module_level=True)

import unittest
import wx
from kvalikirstu2 import argument_parser
from kvalikirstu2 import backup_select_window
from kvalikirstu2 import kvali_interface


class TestBackupSelectWindow(unittest.TestCase):
    def setUp(self):
        self.app = wx.App()
        argument_parser.Settings().parse_gui([])
        kvali_interface.set_study_path(os.path.join(os.path.dirname(__file__), "test files"))
        self.window = backup_select_window.BackupSelectWindow()
