""" Tests the data_archive_interface module.
"""

import unittest
from kvalikirstu2.data_archive_interface import MetadataInformation


class TestDataArchiveInterface(unittest.TestCase):
    def test_extract_valid_study_number(self):
        meta = MetadataInformation('FSD1234', 'citreq', '')
        self.assertEqual('1234', meta.extract_study_number())

    def test_extract_invalid_study_number(self):
        meta = MetadataInformation('FSDxxxx', 'citreq', '')
        self.assertEqual('', meta.extract_study_number())
