""" Tests the header scanner.
"""

import unittest
import os
from kvalikirstu2 import header_scanner


class TestHeaderScanner(unittest.TestCase):
    def test_header_scan(self):
        path = os.path.join("tests", "test files", "data")
        headers = header_scanner.get_header_info_for_study(path)
        self.assertEqual({'NUMERO', 'SUKUPUOLI', 'KAUPUNKI', 'AMMATTI', 'TESTI ATTR'},
                         set(headers.header_mapping.keys()))
